### Method

# GObject Object get_valist

#### Declaration

    void
    g_object_get_valist (
      GObject* object,
      const gchar* first_property_name,
      va_list var_args
    )

#### Description

Gets properties of an object.

In general, a copy is made of the property contents and the caller is responsible for freeing the memory in the appropriate manner for the type, for instance by calling `g_free()` or g_object_unref().

See g_object_get().

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  Name of the first property to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  Return location for the first property, followed optionally by more name/return location pairs, followed by `NULL`.